Subject: RE: [External] : bug#1305: All code that currently beeps should use visual bell instead

From: Drew Adams <[email-masked]>
Date: Wed, 21 Apr 2021 22:03:43 +0000

> I proposed the mode-line as an alternative for those who don't like the
> current GNU/Linux flash, because it's one of the very few elements
> which are displayed in almost 100% of the cases.  We could flash the echoarea
> instead, but I think it's a bit more delicate to implement and it could
> get in the way of reading the actual error message.

As mentioned, I use `echo-bell.el'.  It flashes a
message at the far right of the echo area.

By default the message is " ♪♪♪♪♪♪♪♪♪", it's shown for
0.2 sec, and the echo-area background is highlighted
with "Aquamarine" for that time period.

That flash is as perceptible or imperceptible as a
user wants it to be.  Far from hiding error messages,
it makes them more visible (IMO), by briefly drawing
attention to the echo area.

This is very simple.  Just uses `ring-bell-function'.

Remove the highlighting, and that right-edge message
might not even be very noticeable.  But it's there,
and you can find it in `*Messages*', which is more than
can be said for mode-line fiddles -- IMO, presence in
`*Messages*' is a feature.  And for those modernistas
who remove the mode-line everywhere...

It sounds to me like the proposals discussed so far
complicate things for users, rather than simplifying
them.  But maybe it's just the discussion that's overly
complicated, not the actual proposals?  Is there really
something that needs "fixing" here?